#include <stdio.h>
#include <stdlib.h>		// exit()
#include <unistd.h>		// close()
#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <string.h>		// strerror()
#include <signal.h>
#include <errno.h>		// errno
#include <fcntl.h>
//--------------------------------------------------------------------
// Macro definition
//--------------------------------------------------------------------
#define BUFFER_SIZE	10240

//--------------------------------------------------------------------
// Function prototype
//--------------------------------------------------------------------
void signal_handler(int sig);

//--------------------------------------------------------------------
// Function implementation
//--------------------------------------------------------------------
int main(int argc, char **argv)
{
    int fd;
    char cmd_str[] = "*IDN?\r\n";

       fd = open("/dev/usbtmc0", O_RDWR);
        if(fd <= 0)
        {
          printf("%s\n", "open usbtmc0 USB_FAIL");
            return;
        }
      while(1)
      {
        if(write(fd, cmd_str, sizeof(cmd_str)) < 0)
        {
            printf("write() failed: %s\n", strerror(errno));
        }

      printf("usbtmc0 send\n");
        usleep(10*1000);
      }

  
        close(fd);


  return 0;
}

void signal_handler(int sig)
{
  fprintf(stdout, "Caught signal %d\n", sig);
}
